/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.wsrp.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the WSRPProducer service. Represents a row in the &quot;WSRP_WSRPProducer&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link com.liferay.wsrp.model.impl.WSRPProducerModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link com.liferay.wsrp.model.impl.WSRPProducerImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see WSRPProducer
 * @see com.liferay.wsrp.model.impl.WSRPProducerImpl
 * @see com.liferay.wsrp.model.impl.WSRPProducerModelImpl
 * @generated
 */
public interface WSRPProducerModel extends BaseModel<WSRPProducer> {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a w s r p producer model instance should use the {@link WSRPProducer} interface instead.
	 */

	/**
	 * Returns the primary key of this w s r p producer.
	 *
	 * @return the primary key of this w s r p producer
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this w s r p producer.
	 *
	 * @param primaryKey the primary key of this w s r p producer
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the uuid of this w s r p producer.
	 *
	 * @return the uuid of this w s r p producer
	 */
	@AutoEscape
	public String getUuid();

	/**
	 * Sets the uuid of this w s r p producer.
	 *
	 * @param uuid the uuid of this w s r p producer
	 */
	public void setUuid(String uuid);

	/**
	 * Returns the wsrp producer ID of this w s r p producer.
	 *
	 * @return the wsrp producer ID of this w s r p producer
	 */
	public long getWsrpProducerId();

	/**
	 * Sets the wsrp producer ID of this w s r p producer.
	 *
	 * @param wsrpProducerId the wsrp producer ID of this w s r p producer
	 */
	public void setWsrpProducerId(long wsrpProducerId);

	/**
	 * Returns the group ID of this w s r p producer.
	 *
	 * @return the group ID of this w s r p producer
	 */
	public long getGroupId();

	/**
	 * Sets the group ID of this w s r p producer.
	 *
	 * @param groupId the group ID of this w s r p producer
	 */
	public void setGroupId(long groupId);

	/**
	 * Returns the company ID of this w s r p producer.
	 *
	 * @return the company ID of this w s r p producer
	 */
	public long getCompanyId();

	/**
	 * Sets the company ID of this w s r p producer.
	 *
	 * @param companyId the company ID of this w s r p producer
	 */
	public void setCompanyId(long companyId);

	/**
	 * Returns the create date of this w s r p producer.
	 *
	 * @return the create date of this w s r p producer
	 */
	public Date getCreateDate();

	/**
	 * Sets the create date of this w s r p producer.
	 *
	 * @param createDate the create date of this w s r p producer
	 */
	public void setCreateDate(Date createDate);

	/**
	 * Returns the modified date of this w s r p producer.
	 *
	 * @return the modified date of this w s r p producer
	 */
	public Date getModifiedDate();

	/**
	 * Sets the modified date of this w s r p producer.
	 *
	 * @param modifiedDate the modified date of this w s r p producer
	 */
	public void setModifiedDate(Date modifiedDate);

	/**
	 * Returns the name of this w s r p producer.
	 *
	 * @return the name of this w s r p producer
	 */
	@AutoEscape
	public String getName();

	/**
	 * Sets the name of this w s r p producer.
	 *
	 * @param name the name of this w s r p producer
	 */
	public void setName(String name);

	/**
	 * Returns the version of this w s r p producer.
	 *
	 * @return the version of this w s r p producer
	 */
	@AutoEscape
	public String getVersion();

	/**
	 * Sets the version of this w s r p producer.
	 *
	 * @param version the version of this w s r p producer
	 */
	public void setVersion(String version);

	/**
	 * Returns the portlet IDs of this w s r p producer.
	 *
	 * @return the portlet IDs of this w s r p producer
	 */
	@AutoEscape
	public String getPortletIds();

	/**
	 * Sets the portlet IDs of this w s r p producer.
	 *
	 * @param portletIds the portlet IDs of this w s r p producer
	 */
	public void setPortletIds(String portletIds);

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public Serializable getPrimaryKeyObj();

	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(WSRPProducer wsrpProducer);

	public int hashCode();

	public CacheModel<WSRPProducer> toCacheModel();

	public WSRPProducer toEscapedModel();

	public String toString();

	public String toXmlString();
}